> For the complete documentation index, see [llms.txt](https://docs.startrail.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.startrail.io/issue-transfer-api/collection/get-collection-of-luw.md).

# Get Collection of LUW

<mark style="color:blue;">`GET`</mark> `<base_url>/startrail/api/v1/licensedUser/{luw-address}/collections`

Please replace `<base_url>` as explained [here](/readme/url-per-environment.md).

#### Path Parameters

| Name                                          | Type   | Description        |
| --------------------------------------------- | ------ | ------------------ |
| luw-address<mark style="color:red;">\*</mark> | string | The address of LUW |

#### Headers

| Name         | Type   | Description      |
| ------------ | ------ | ---------------- |
| Content-Type | string | application/json |
| accept       | string | application/json |

{% tabs %}
{% tab title="200: OK " %}
The API responds with 200 if the LUW address is found.

<mark style="color:red;">\*</mark> indicates that the field always exists.

{% tabs %}
{% tab title="Body" %}

| Body Attribute                                          | Description                                                                                      | Format          |
| ------------------------------------------------------- | ------------------------------------------------------------------------------------------------ | --------------- |
|                                                         | Array of object that defines collection                                                          | Array of object |
| \[\*].name<mark style="color:red;">\*</mark>            | Name of the collection. Stored on the contract                                                   | string          |
| \[\*].symbol<mark style="color:red;">\*</mark>          | Symbol to identify the collection                                                                | string          |
| \[\*].contractAddress<mark style="color:red;">\*</mark> | Contract address of the collection contract. Will be visible on NFT marketplaces such as OpenSea | string          |
| \[\*].ownerAddress<mark style="color:red;">\*</mark>    | Address of the owner of the collection                                                           | string          |
| \[\*].createdAt<mark style="color:red;">\*</mark>       | Datetime of the collection creation                                                              | Date            |
| \[\*].updatedAt<mark style="color:red;">\*</mark>       | Datetime of the last update of collection                                                        | Date            |
| {% endtab %}                                            |                                                                                                  |                 |

{% tab title="Example" %}

```json
[
  {
    "name": "Super Cool Tokens",
    "symbol": "SCT",
    "contractAddress": "0x87Ef5da2c87e047E7F005Efb8b68a93Dc94D161c",
    "ownerAddress": "0x40b29c5fe4427f0C09Dd595B983a21322fe6A101",
    "createdAt": "2023-03-24T03:20:31.877Z",
    "updatedAt": "2023-03-24T03:20:31.877Z"
  }
]
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="404: Not Found " %}
The API responds with 404 if the LUW address is not found.

```json
{
  "statusCode": 404,
  "message": "Cannot GET /api/v1/licensedUser/not-found-luw-address/collections"
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}
The API responds with 500 if there is an issue between the network.

```json
// If the network is error or unknown error. Startbahn side need to check.
{
  "statusCode": 502,
  "message": "Bad Gateway"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.startrail.io/issue-transfer-api/collection/get-collection-of-luw.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
